﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="__TestPage.aspx.cs" Inherits="__TestPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
            <script>
                function GridCreated(sender, eventArgs)
                {
                    //collapse all items when page loads
                    ExpandCollapseAllGroups('rgCollapse');
                }

                //Expands or collapses all group headers based on expandCollapseClass
                function ExpandCollapseAllGroups(expandCollapseClass)
                {
                    var tableView = $find('<%=RadGrid1.ClientID %>').get_masterTableView();
                    var groupHeaders = $telerik.$(tableView.get_element()).find('INPUT[class="' + expandCollapseClass + '"]');
                    if (groupHeaders.length > 0)
                    {
                        for (var i = 0; i < groupHeaders.length; i++)
                        {
                            $telerik.$(groupHeaders[i]).click();
                        }
                    }
                    //return false to prevent postbacks
                    return false;
                }
            </script>
        </telerik:RadScriptBlock>
        <telerik:RadGrid ID="RadGrid1" runat="server" SkinID="RecruitmentGrid_NoHeaders"
            CssClass="SimpleGrid summary" AllowMultiRowSelection="false" OnNeedDataSource="RadGrid1_NeedDataSource">
            <MasterTableView AutoGenerateColumns="false" GroupLoadMode="Client" EditMode="InPlace">
                <GroupByExpressions>
                    <telerik:GridGroupByExpression>
                        <SelectFields>
                            <telerik:GridGroupByField FieldName="GroupIndexName" />
                        </SelectFields>
                        <GroupByFields>
                            <telerik:GridGroupByField FieldName="GroupIndexName" />
                        </GroupByFields>
                    </telerik:GridGroupByExpression>
                </GroupByExpressions>
                <GroupHeaderItemStyle CssClass="listItem" />
                <Columns>
                    <telerik:GridTemplateColumn>
                        <ItemTemplate>
                            <div class="itemText">
                                Eval("JobDescription")</div>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
            <ClientSettings AllowGroupExpandCollapse="true">
                <ClientEvents OnGridCreated="GridCreated" />
            </ClientSettings>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
